Summary:	Yet Another Part-of-Speech and Morphological Analyzer
Name:		mecab
Version:	0.996
Release:    6%{?dist}
License:	BSD or LGPLv2+ or GPL+
URL:		https://sourceforge.net/projects/mecab/
Source0:	https://src.fedoraproject.org/lookaside/pkgs/mecab/%{name}-%{version}.tar.gz/7603f8975cea2496d88ed62545ba973f/%{name}-%{version}.tar.gz
BuildRequires: make gcc-c++

%description
MeCab is a open source morphological analyzer which uses 
CRF (Conditional Random Fields) as the estimation of parameters.

%package devel
Summary:	Libraries and Header files for Mecab
Requires:	%{name} = %{version}-%{release}

%description devel
This is the development package that provides header files and libraries
for MeCab.

%prep
%autosetup -n %{name}-%{version}

mv doc/doxygen .
find . -name \*.cpp -print0 | xargs -0 chmod 0644

sed -i.flags \
	-e '/-O3/s|CFLAGS=\"\(.*\)\"|CFLAGS=\${CFLAGS:-\1}|' \
	-e '/-O3/s|CXXFLAGS=\"\(.*\)\"|CXXFLAGS=\${CFLAGS:-\1}|' \
	-e '/MECAB_LIBS/s|-lstdc++||' \
	configure

sed -i.multilib \
	-e 's|@prefix@/lib/mecab|%{_libdir}/mecab|' \
	mecab-config.in mecabrc.in

%build
%configure
sed -i.rpath \
	-e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
	-e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
	libtool

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/lib*.{a,la}
rm -f doc/Makefile*

mkdir -p %{buildroot}%{_libdir}/mecab/dic/

%check
export LD_LIBRARY_PATH=$(pwd)/src/.libs
cd tests
make check || :
cd ..

%files
%license BSD COPYING GPL LGPL
%doc AUTHORS doc/ example/
%{_mandir}/man1/%{name}.1*

%config(noreplace) %{_sysconfdir}/mecabrc
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libdir}/lib%{name}.so.2*

%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/dic/

%files devel
%doc doxygen/
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.996-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.996-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.996-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.996-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 wynnfeng <wynnfeng@tencent.com> - 0.996-2
- modify url

* Thu Jan 12 2023 wynnfeng <wynnfeng@tencent.com> - 0.996-1
- initial build
